#
# spec file for package smartirc4net
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global libname Meebey.SmartIrc4net.dll

Name:           smartirc4net
Version:        0.4.5.1
Release:        1.8
Url:            https://www.meebey.net/projects/smartirc4net/
Summary:        C# IRC library
License:        LGPL-2.1+
Source:         https://smuxi.im/jaws/data/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig
BuildRequires:  automake

%description
A multi-threaded and thread-safe IRC library written in C#.

%package devel
Summary:        C# IRC library
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}

%description devel
A multi-threaded and thread-safe IRC library written in C#.

%prep
%setup -q

%build
%configure --libdir=%{_prefix}/lib MCS=%{_bindir}/mcs
make

%install
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/pkgconfig/
mv %{buildroot}%{_prefix}/lib/pkgconfig/%{name}.pc %{buildroot}%{_datadir}/pkgconfig/%{name}.pc

%files
%defattr(-,root,root)
%doc LICENSE CREDITS CHANGELOG README
%{_prefix}/lib/%{name}/
%{_prefix}/lib/mono/gac/*

%files devel
%defattr(-,root,root,-)
%doc API_CHANGE FEATURES TODO
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Tue Nov 24 2015 mailaender@opensuse.org
- initial packaging
